Package org.springframework.security.web.savedrequest

# Interface SavedRequest

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `DefaultSavedRequest`, `SimpleSavedRequest`

public interface SavedRequest extends Serializable
Encapsulates the functionality required of a cached request for both an authentication mechanism (typically form-based login) to redirect to the original URL and for a `RequestCache` to build a wrapped request, reproducing the original request data.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`List<jakarta.servlet.http.Cookie>`
`getCookies()`
`Collection<String>`
`getHeaderNames()`
`List<String>`
`getHeaderValues(String name)`
`List<Locale>`
`getLocales()`
`String`
`getMethod()`
`Map<String,String[]>`
`getParameterMap()`
`String[]`
`getParameterValues(String name)`
`String`
`getRedirectUrl()`

## Method Details

### getRedirectUrl

String getRedirectUrl()

Returns:
  the URL for the saved request, allowing a redirect to be performed.

### getCookies

List<jakarta.servlet.http.Cookie> getCookies()

### getMethod

String getMethod()

### getHeaderValues

List<String> getHeaderValues(String name)

### getHeaderNames

Collection<String> getHeaderNames()

### getLocales

List<Locale> getLocales()

### getParameterValues

String[] getParameterValues(String name)

### getParameterMap

Map<String,String[]> getParameterMap()